﻿@model StarterProjectV2.Models.Audit2

@{
    ViewData["Title"] = "Audit";
}
@section HEADERCSS{
    <style>
        td {
            word-break: break-all;
        }
    </style>
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}

@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    Audit View
}

    <body style="background-color: oldlace">
        <h2 class="text-center" style="color:indianred">@ViewData["Title"]</h2>

        <div class="card">
            <div class="card-header">
                <strong>View the Detailed Audit Information</strong>
            </div>

            <div class="card-body">

                <div class="form-group row">
                    <label class="col-md-1 col-form-label" for="text-input">Action Date & Time</label>
                    <div class="col-md-4">
                        @Html.TextBoxFor(m => m.UpdateDate, new { @class = "form-control", id = "number-input", name = "number-input", type = "text", @readonly = "readonly" })
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-md-1 col-form-label" for="text-input">User Name / Slot Id</label>
                    <div class="col-md-4">

                        @Html.TextBoxFor(m => m.UserId, new { @class = "form-control", placeholder = "", id = "text-input", name = "text-input", type = "text", @readonly = "readonly" })
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-md-1 col-form-label" for="text-input">Action String</label>
                    <div class="col-md-4">
                        @Html.TextBoxFor(m => m.Actions, new { @class = "form-control", placeholder = "Number", id = "number-input", name = "number-input", type = "text", @readonly = "readonly" })

                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-md-1 col-form-label" for="text-input">Table Name</label>
                    <div class="col-md-4">
                        @Html.TextBoxFor(m => m.TableName, new { @class = "form-control", id = "number-input", name = "number-input", type = "text", @readonly = "readonly" })

                    </div>
                </div>



                <table id="mainTable" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
                    <thead style="color: white; background-color:#315152">
                        <tr>
                            <th scope="col">Attribute Name</th>

                            <th scope="col">Current Value</th>
                            <th scope="col">Old Value</th>

                        </tr>
                    </thead>
                    <tbody id="myTable">
                        @{
                            var oldData = new List<string>();
                            if (Model.OldData != null)
                            {
                                oldData = Model.OldData.Split(new string[] { "||" }, StringSplitOptions.None).ToList();
                            }
                            var newData = Model.NewData.Split(new string[] { "||" }, StringSplitOptions.None).ToList();

                            for (int i = 0; i < newData.Count(); i++)
                            {
                                <tr>
                                    <td>@newData[i].Split(new string[] { "=" }, StringSplitOptions.None)[0]</td>
                                    <td>@newData[i].Split(new string[] { "=" }, StringSplitOptions.None)[1]</td>
                                    <td>
                                        @if (!String.IsNullOrEmpty(@Model.OldData))
                                        {
                                            @oldData[i].Split(new string[] { "=" }, StringSplitOptions.None)[1]
                                        }
                                    </td>
                                </tr>
                            }
                        }
                    </tbody>
                </table>
            </div>
            <div class="card-footer">
                <button type="button" class="btn btn-primary m-1" onclick="javascript:window.history.back();">
                    <i class="fa fa-angle-left"></i> Back
                </button>
            </div>

        </div>

        </body>
        <script>
            $(document).ready(function () {
                $("#newItem").remove();
                $("#editItem").remove();
                $("#saveItem").remove();
                $("#deleteItem").remove();
                $('#printItem').click(function () {
                    window.print();
                });
                $('#reloadItem').click(function () {
                    location.reload();
                });
                $("#dashboardItem").remove();
                $("#reportItem").remove();
            });
        </script>


